javax.xml.crypto

## Class KeySelector.Purpose

- java.lang.Object
- - javax.xml.crypto.KeySelector.Purpose

- Enclosing class:
    KeySelector

      public static class KeySelector.Purpose
      extends Object

  The purpose of the key that is to be selected.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static KeySelector.Purpose` | `DECRYPT` A key for decrypting.
    `static KeySelector.Purpose` | `ENCRYPT` A key for encrypting.
    `static KeySelector.Purpose` | `SIGN` A key for signing.
    `static KeySelector.Purpose` | `VERIFY` A key for verifying.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Returns a string representation of this purpose ("sign", "verify", "encrypt", or "decrypt").

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIGN

          public static final KeySelector.Purpose SIGN

      A key for signing.

    - #### VERIFY

          public static final KeySelector.Purpose VERIFY

      A key for verifying.

    - #### ENCRYPT

          public static final KeySelector.Purpose ENCRYPT

      A key for encrypting.

    - #### DECRYPT

          public static final KeySelector.Purpose DECRYPT

      A key for decrypting.

  - ### Method Detail

    - #### toString

          public String toString()

      Returns a string representation of this purpose ("sign", "verify", "encrypt", or "decrypt").
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this purpose

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.